> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Managed Auth Template Publish



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /managed-auth/templates/{template_id}/publish
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/templates/{template_id}/publish:
    post:
      tags:
        - managed-auth
      summary: Managed Auth Template Publish
      operationId: managed_auth_template_publish
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagedAuthTemplatePublishRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedAuthAdminTemplate'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ManagedAuthTemplatePublishRequest:
      properties:
        login_function_id:
          type: string
          title: Login Function Id
        verifier_function_id:
          type: string
          title: Verifier Function Id
      type: object
      required:
        - login_function_id
        - verifier_function_id
      title: ManagedAuthTemplatePublishRequest
    ManagedAuthAdminTemplate:
      properties:
        id:
          type: string
          title: Id
        slug:
          type: string
          title: Slug
        name:
          type: string
          title: Name
        domain:
          type: string
          title: Domain
        category:
          type: string
          title: Category
        color:
          type: string
          title: Color
        status:
          type: string
          enum:
            - available
            - beta
            - coming_soon
          title: Status
        description:
          type: string
          title: Description
        method:
          type: string
          title: Method
        login_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Url
        allowed_domains:
          items:
            type: string
          type: array
          title: Allowed Domains
        supports_totp:
          type: boolean
          title: Supports Totp
          default: false
        connectable:
          type: boolean
          title: Connectable
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        login_function:
          anyOf:
            - $ref: '#/components/schemas/ManagedAuthLinkedFunction'
            - type: 'null'
        verifier_function:
          anyOf:
            - $ref: '#/components/schemas/ManagedAuthLinkedFunction'
            - type: 'null'
      type: object
      required:
        - id
        - slug
        - name
        - domain
        - category
        - color
        - status
        - description
        - method
        - connectable
        - created_at
        - updated_at
      title: ManagedAuthAdminTemplate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagedAuthLinkedFunction:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        latest_version:
          type: string
          title: Latest Version
        status:
          type: string
          title: Status
        published:
          type: boolean
          title: Published
      type: object
      required:
        - id
        - name
        - latest_version
        - status
        - published
      title: ManagedAuthLinkedFunction
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````